iPhone OS 4 Beta Now Available for Developers

Posted on April 8, 2010 by

The iPhone 2G and iPod touch 1st generation are not supported.

Leave a Reply

You must be logged in to post a comment.